Subject: [bug#76718] [PATCH] gnu: wm: Update swayfx to 0.5 and scenefx to 0.2.1.

From: "Timo Wilken" <[email-masked]>
Date: Mon, 07 Apr 2025 19:01:53 +0200

Hi Andreas,

On Mon 7 Apr 2025 at 3:45 pm CEST, Andreas Enge wrote:
> Am Thu, Apr 03, 2025 at 03:03:07PM +0200 schrieb Timo Wilken:
>> These packages need to be updated in step, so bundle this into one commit.
>> * gnu/packages/wm.scm (swayfx): Update to 0.5, requiring [email-masked] and
>>   [email-masked]. (scenefx): Update to 0.2.1, ditto wlroots.
>
> I disagree, we always use one commit per update. In this case, I would
> first update scenefx, which is an input to the second update of swayfx.
> Then we push both commits to the server at the same time.
>
> So the commits are separate, but we never actually compile Guix between
> the two commits.
>
> Also not on QA - if you create a patch series as described in the
> manual, both commits will be applied at the same time and checked by QA.

If you prefer it that way, I can send a v2 patch series.

But keep in mind that this'll break things like "git bisect" that assume that
each commit stands on its own and doesn't break the package build.

(The previous version, [email-masked] won't work when compiled against the new
[email-masked].)

Cheers,
Timo